Subject: Re: linux-next: manual merge of the uuid tree with the arm64 tree

From: "Baicar, Tyler" <[email-masked]>
Date: Tue, 20 Jun 2017 12:13:13 -0600

On 6/20/2017 2:47 AM, Andy Shevchenko wrote:
> On Tue, 2017-06-20 at 10:43 +0200, Christoph Hellwig wrote:
>> On Tue, Jun 20, 2017 at 09:40:08AM +0100, Will Deacon wrote:
>>>>>> To have better coordination, please, look at my WIP branch
>>>>>> regarding
>>>>>> UUID stuff:
>>>>>> http://bitbucket.org/andy-shev/linux/branch/topic%2Fuuid
>>>>> That link doesn't work for me. Is there anything specific Tyler
>>>>> should be
>>>>> paying attention to on that branch?
>>>> That link doesn't work for me either, but I assume it is the
>>>> topic/uuid
>>>> branch here:
>>>>
>>>> https://bitbucket.org/andy-shev/linux/branches/
>>>>
>>>> I'll rebase my patches on top of this branch and send them to you
>>>> Will.
>>> The conflict in -next came from Christoph's tree:
>>>
>>>    http://git.infradead.org/users/hch/uuid.git/heads
>>>
>>> hence why I mentioned the uuid-types branch above. It's not clear to
>>> me
>>> how Andy's branch fits in with this.
>> I think Andy is preparing various uuid conversion in it and wanted to
>> make sure you don't do any work he already did or which conflicts with
>> this work.
> Thanks, Christoph, that's correct.
>
>> For now please just base it on my uuid-types tree.
> Yeah, this is safest option for now.
>
Will,

I have sent you the rebased patches. I took Christoph's uuid-types tree 
and added this patch onto it:

7bf130e4a065 ("ACPI/APEI: Handle GSIV and GPIO notification types")

And then added my patches onto that. This will hopefully now avoid 
conflicts with any other patch.

Andy,

The patch that was causing compilation failures on your branch was:

22e31da efi: Switch to use new generic UUID API

The failures were because of the removed guid_t * casts. Note that this 
patch will conflict with my patch series, so you may want to rebase it 
onto linux-next once they are in.

Thanks,
Tyler

-- 
Qualcomm Datacenter Technologies, Inc. as an affiliate of Qualcomm Technologies, Inc.
Qualcomm Technologies, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project.